List plugin config objects
curl --request GET \
--url https://api.openworklabs.com/v1/plugins/{pluginId}/config-objects{
"items": [
{
"id": "<string>",
"pluginId": "<string>",
"configObjectId": "<string>",
"connectorMappingId": "<string>",
"createdByOrgMembershipId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"removedAt": "2023-11-07T05:31:56Z",
"configObject": {
"id": "<string>",
"organizationId": "<string>",
"title": "<string>",
"description": "<string>",
"searchText": "<string>",
"currentFileName": "<string>",
"currentFileExtension": "<string>",
"currentRelativePath": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"latestVersion": {
"id": "<string>",
"configObjectId": "<string>",
"schemaVersion": "<string>",
"normalizedPayloadJson": {},
"rawSourceText": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorSyncEventId": "<string>",
"sourceRevisionRef": "<string>",
"isDeletedVersion": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
}
],
"nextCursor": "<string>"
}Plugins
List plugin config objects
Lists plugin memberships and resolved config object projections.
GET
/
v1
/
plugins
/
{pluginId}
/
config-objects
List plugin config objects
curl --request GET \
--url https://api.openworklabs.com/v1/plugins/{pluginId}/config-objects{
"items": [
{
"id": "<string>",
"pluginId": "<string>",
"configObjectId": "<string>",
"connectorMappingId": "<string>",
"createdByOrgMembershipId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"removedAt": "2023-11-07T05:31:56Z",
"configObject": {
"id": "<string>",
"organizationId": "<string>",
"title": "<string>",
"description": "<string>",
"searchText": "<string>",
"currentFileName": "<string>",
"currentFileExtension": "<string>",
"currentRelativePath": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"latestVersion": {
"id": "<string>",
"configObjectId": "<string>",
"schemaVersion": "<string>",
"normalizedPayloadJson": {},
"rawSourceText": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorSyncEventId": "<string>",
"sourceRevisionRef": "<string>",
"isDeletedVersion": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
}
],
"nextCursor": "<string>"
}Path Parameters
Den TypeID with 'plg_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^plg_.*Was this page helpful?
⌘I